package de.ozgcloud.eingang.formcycle.common.errorhandling;

import de.ozgcloud.common.errorhandling.ExceptionUtil;
import de.ozgcloud.eingang.formcycle.common.errorhandling.InternalExceptionDto.InternalExceptionDtoBuilder;

public class InternalExceptionDtoTestFactory {

	public static final String EXCEPTION_ID = "exception-id";
	public static final String MESSAGE = "exception message";

	public static InternalExceptionDto create() {
		return createBuilder().build();
	}

	private static InternalExceptionDtoBuilder createBuilder() {
		return InternalExceptionDto.builder().exceptionId(EXCEPTION_ID).message(MESSAGE);
	}

	public static String messageWithExceptionId() {
		return ExceptionUtil.formatMessageWithExceptionId(MESSAGE, EXCEPTION_ID);
	}
}
